package com.fs.his.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.company.vo.OptionVO;
import com.fs.his.domain.FsPackageSolarTerm;
import com.fs.his.param.FsPackageSolarTermParam;
import com.fs.his.vo.FsPackageSolarTermVO;

import java.util.List;

public interface IFsPackageSolarTermService extends IService<FsPackageSolarTerm> {

    /**
     * 查询节气列表
     * @param param 参数
     * @return List
     */
    List<FsPackageSolarTermVO> selectFsPackageSolarTermListVO(FsPackageSolarTermParam param);

    /**
     * 根据ID查询节气详情
     * @param solarTermId id
     * @return FsPackageSolarTermVO
     */
    FsPackageSolarTermVO selectFsPackageSolarTermVO(Long solarTermId);

    /**
     * 添加节气
     * @param param 参数
     * @return  受影响行数
     */
    int insertFsPackageSolarTerm(FsPackageSolarTerm param);

    /**
     * 修改节气
     * @param param 参数
     * @return  受影响行数
     */
    int updateFsPackageSolarTerm(FsPackageSolarTerm param);

    /**
     * 删除节气
     * @param solarTermIds  ids
     * @return  受影响行数
     */
    int deleteFsPackageSolarTermByIds(Long[] solarTermIds);

    /**
     * 获取节气选项
     */
    List<OptionVO> getOptions();
}
